#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	int n, m, i, j, dosadnost = 0, broj, nula = 0, kec = 0;
	cin >> n >> m;
	int a[n][m];
	for(i = 0; i < n; i++)
	{
		for(j = 0; j < m; j++)
		{
			a[i][j] = 0;
		}
	}
	for(i = 0; i < n; i++)
	{
		cin >> broj;
		for(j = 0; j < broj; j++)
		{
			if(broj < m) a[i][j] = 1;
			else a[i][j] = 0;
		}
	}
	for(j = 0; j < m; j++)
	{
		for(i = 0; i < n; i++)
		{
			if(a[i][j] == 0) nula++;
			else kec++;
		}
		dosadnost += nula*kec;
		nula = 0;
		kec = 0;
	}
	cout << dosadnost;
	return 0;
}